## Application setup

Run the `npm install` command in the terminal window from the project's root directory to download the dependencies specified in the [package.json](package.json) file.

## Application pre-requisite

The `.env` file contains the application port and database-related details. For security reasons, the file is packaged. Please create the file in the project's root structure and add the below details to it.

```plain
PORT=APPLICATION_PORT_NUMBER
DATABASE=DATABASE_NAME
DATABASE_USER=DATABASE_USER
DATABASE_PASSWORD=DATABASE_PASSWORD
```

## Database seed pre-requisite

You can use the [dataseed.sql](extras/dataseed.sql) file to create the required mock data in the postgresql database.

## Run the application

Once the setup is done run the `npm run start` command in the terminal window from the project's root directory to start the project.
